SlackSetting

List all the Slack settings endpoints

Get the list of all your slack settings

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

The ID of the slack setting

namestringRequired

The slack setting name

webHookUrlstringRequired
channelstringRequired

The slack setting channel name

userNamestringRequired

The slack setting channel username

get
/v3/slackSetting

Create a slack setting

post
Authorizations
PRIVATE-TOKENstringRequired
Body
idstringRead-onlyRequired

The ID of the slack setting

namestringRequired

The slack setting name

webHookUrlstringRequired
channelstringRequired

The slack setting channel name

userNamestringRequired

The slack setting channel username

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

The ID of the slack setting

namestringRequired

The slack setting name

webHookUrlstringRequired
channelstringRequired

The slack setting channel name

userNamestringRequired

The slack setting channel username

post
/v3/slackSetting

Get a single slack setting

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
slackSettingIdstringRequired

The Id of the slack setting

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

The ID of the slack setting

namestringRequired

The slack setting name

webHookUrlstringRequired
channelstringRequired

The slack setting channel name

userNamestringRequired

The slack setting channel username

get
/v3/slackSetting/{slackSettingId}

Update a slack setting

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
slackSettingIdstringRequired

The Id of the slack setting

Body
idstringRead-onlyRequired

The ID of the slack setting

namestringRequired

The slack setting name

webHookUrlstringRequired
channelstringRequired

The slack setting channel name

userNamestringRequired

The slack setting channel username

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

The ID of the slack setting

namestringRequired

The slack setting name

webHookUrlstringRequired
channelstringRequired

The slack setting channel name

userNamestringRequired

The slack setting channel username

put
/v3/slackSetting/{slackSettingId}

Remove a slack setting

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
slackSettingIdstringRequired

The Id of the slack setting

Responses
delete
/v3/slackSetting/{slackSettingId}

No content

Last updated

Was this helpful?